OCE(4)

NAME
oce - Device driver for Emulex OneConnect 10Gb network adapters

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device pci
device oce

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    if_oce_load="YES"

DESCRIPTION
Emulex OneConnect adapters come in various skews and with different combinations of NIC, FCoE and iSCSI functions. The oce driver claims the NIC functions in all these adapters.

The oce driver supports VLAN Hardware offload, TCP checksum offload, TCP segmentation offload (TSO), Large receive offload (LRO), Bonding, Jumbo frames (from 1500 - 9000), Multiple TX queues, Receive-Side Scaling (RSS) and MSI-X interrupts.

HARDWARE
The oce driver supports the following network adapters:

•   Emulex BladeEngine 2
•   Emulex BladeEngine 3
•   Emulex Lancer

UPDATING FIRMWARE
Adapter firmware updates are persistent.

Firmware can be updated by following the steps below:

1.  Copy the below code to a Makefile:

        KMOD=elxflash
        FIRMWS=imagename.ufi:elxflash
        .include <bsd.kmod.mk>

2.  Replace imagename in above with UFI file name

3.  Copy Makefile and UFI file to a directory

4.  Execute make & copy generated elxflash.ko to /lib/modules

5.  sysctl dev.oce.<if_id>.fw_upgrade=elxflash

6.  Reboot the machine

In case of issues with supplied UFI, flashing fails with one of the following errors.

1.  "Invalid BE3 firmware image"
2.  "Invalid Cookie. Firmware image corrupted ?"
3.  "cmd to write to flash rom failed."

SUPPORT
For general information and support, go to the Emulex website at: http://www.Emulex.com/ or E-Mail at freebsd-drivers@emulex.com.

SEE ALSO
ifconfig(8)

AUTHORS
-nosplit The oce driver was written by freebsd-drivers@emulex.com.